import { type Writable } from 'svelte/store';
export type RGB = [r: number, g: number, b: number];
export type HSV = [h: number, s: number, v: number];
export type HSL = [h: number, s: number, l: number];
export type HEX = string;
export default class ColorHandler {
    hex: Writable<string>;
    rgb: Writable<RGB>;
    hsv: Writable<HSV>;
    hsl: Writable<HSL>;
    opacity: Writable<number>;
    constructor(hex?: string, opacity?: number);
    setHEX(hex: HEX): void;
    setRGB(rgb: RGB): void;
    setHSV(hsv: HSV): void;
    setOpacity(opacity: number): void;
    getHEX(): Writable<HEX>;
    getRGB(): Writable<RGB>;
    getHSV(): Writable<HSV>;
    getHSL(): Writable<HSL>;
    getOpacity(): Writable<number>;
    static HSV_to_RGB(hsv: HSV): RGB;
    static HEX_to_RGB(hex: HEX): RGB;
    static RGB_to_HEX(rgb: RGB): HEX;
    static RGB_to_HSV(rgb: RGB): HSV;
    static RGB_to_HSL(rgb: RGB): HSL;
}
